Bug 984685 - horizon: public images disappear from the main images page once tenant adds its own images
horizon: public images disappear from the main images page once tenant adds i...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 4.0
Assigned To: RHOS Maint
Ami Jeain
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 12:57 EDT by Dafna Ron
Modified: 2015-06-04 17:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 08:11:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-07-15 12:57:15 EDT
Description of problem:

if a tenant only has public images than these images appear in the main images tab. however, if we add an image, the public images no longer appear under the main tab and only appear under the "public" button 

Version-Release number of selected component (if applicable):

python-django-horizon-2013.1.2-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create a tenant and a user
2. create a public image
3. login with the created user
4. create a new image for tenant 

Actual results:

when we log in to the tenant and the only image is the public image, we see the image under the images view. 
but if we add an image the public image disappears and can only be seen from the "public" button

Expected results:

we should see all images available under the images view and use the "public" to filter the public images 

Additional info:
Comment 1 Matthias Runge 2013-08-20 08:11:53 EDT
I disagree. 

You have three "tabs" there. Project/Shared with me/public.
When a project doesn't have an image, public images are shown. When a project has an image, the project tab is shown by default.

in your described situation: when a project creates a public image, the image is shown on the project page and two images are shown at the public page.

Note You need to log in before you can comment on or make changes to this bug.